## Copyright (C) 2003 Csaba Szepesvari
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2.1 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

## -*- texinfo -*-
## @deftypefn {Function File} {} funspec_clean ()
## @code{funspec_clean} cleans the temporary directory
## used by funspec.
##
## Example:
## @example
##   funspec_clean("x", "y", "y=x");
## @end example
##
## @end deftypefn
## @seealso{feval}

## Author: Csaba Szepesvari (www.sztaki.hu/~szcsaba)
## Description: Cleaning the directory of temporary function specification files.
## Keywords: lambda calculus

function funspec_clean()
if (exist("FUNSPECPATH")==0)
  FUNSPECPATH = strcat( getenv("HOME"), "/funspec/tmp/" );
endif
system( sprintf( "rm %s* 2>nul", FUNSPECPATH ) );
endfunction
